# clock.h File Reference

`#include <glibmm.h>`
`#include <gst/gstclock.h>`
`#include <gstreamermm/object.h>`

Go to the source code of this file.

## Namespaces

namespace | Gst
namespace | Glib

## Classes

class | Gst::ClockID
| A datatype to hold the handle to an outstanding sync or async clock callback. More...
class | Gst::Clock
| Gst::Clock - Abstract class for global clocks. More...

## Typedefs

typedef GstClockTime | Gst::ClockTime
| A datatype to hold a time, measured in nanoseconds.
typedef GstClockTimeDiff | Gst::ClockTimeDiff
| A datatype to hold a timedifference, measured in nanoseconds.

## Enumerations

enum | Gst::ClockEntryType { Gst::CLOCK_ENTRY_SINGLE, Gst::CLOCK_ENTRY_PERIODIC }
enum | Gst::ClockReturn { Gst::CLOCK_OK, Gst::CLOCK_EARLY, Gst::CLOCK_UNSCHEDULED, Gst::CLOCK_BUSY, Gst::CLOCK_BADTIME, Gst::CLOCK_ERROR, Gst::CLOCK_UNSUPPORTED }

enum

Gst::ClockFlags {
Gst::CLOCK_FLAG_CAN_DO_SINGLE_SYNC = GST_OBJECT_FLAG_LAST << 0,
Gst::CLOCK_FLAG_CAN_DO_SINGLE_ASYNC = GST_OBJECT_FLAG_LAST << 1,
Gst::CLOCK_FLAG_CAN_DO_PERIODIC_SYNC = GST_OBJECT_FLAG_LAST << 2,
Gst::CLOCK_FLAG_CAN_DO_PERIODIC_ASYNC = GST_OBJECT_FLAG_LAST << 3,
Gst::CLOCK_FLAG_CAN_SET_RESOLUTION = GST_OBJECT_FLAG_LAST << 4,
Gst::CLOCK_FLAG_CAN_SET_MASTER = GST_OBJECT_FLAG_LAST << 5,
Gst::CLOCK_FLAG_LAST = GST_OBJECT_FLAG_LAST << 8
}

## Functions

guint | Gst::get_hours (ClockTime time)
| Get hour component of Gst::ClockTime.
guint | Gst::get_minutes (ClockTime time)
| Get minute component of Gst::ClockTime.
guint | Gst::get_seconds (ClockTime time)
| Get seconds component of Gst::ClockTime.
guint | Gst::get_milliseconds (ClockTime time)
| Get milliseconds component of Gst::ClockTime.
guint | Gst::get_microseconds (ClockTime time)
| Get microseconds component of Gst::ClockTime.
guint | Gst::get_nanoseconds (ClockTime time)
| Get nanoseconds component of Gst::ClockTime.
guint | Gst::get_fractional_seconds (ClockTime time)
| Get fractional component (milli, micro and nano seconds) of Gst::ClockTime.

## Variables

const ClockTime | Gst::CLOCK_TIME_NONE = GST_CLOCK_TIME_NONE
| Constant to define an undefined clock time.
const ClockTime | Gst::SECOND = GST_SECOND
| Constant that defines one GStreamer second.
const ClockTime | Gst::MILLI_SECOND = GST_MSECOND
| Constant that defines one GStreamer millisecond.
const ClockTime | Gst::MICRO_SECOND = GST_USECOND
| Constant that defines one GStreamer microsecond.
const ClockTime | Gst::NANO_SECOND = GST_NSECOND
| Constant that defines one GStreamer nanosecond.